data:extend(
{  

	{
		type = "boiler",
		name = "boiler-t2",
		icon = "__Yuoki__/graphics/icons/boiler-icon.png",
		flags = {"placeable-player", "player-creation"},
		minable = {hardness = 0.2, mining_time = 0.5, result = "boiler-t2"},
		max_health = 250,
		corpse = "small-remnants",
		resistances = 
		{
			{
				type = "fire",
				percent = 80
			}
		},
		fast_replaceable_group = "pipe",
		collision_box = {{-0.29, -0.29}, {0.29, 0.29}},
		selection_box = {{-0.5, -0.5}, {0.5, 0.5}},
		fluid_box =
		{
			base_area = 1,
			pipe_connections =
			{
				{ position = {0, -1.0} },
				{ position = {1, 0} },
				{ position = {0, 1.0} },
				{ position = {-1.0, 0} }
			},
		},
		energy_consumption = "550kW",
		burner =
		{
			effectivity = 0.8,
			fuel_inventory_size = 2,
			emissions = 0.2 / 2.5,
			smoke =
			{
				{
					name = "smoke",
					deviation = {0.1, 0.1},
					frequency = 1
				}
			}
		},
		structure =
		{
			left =
			{
				filename = "__Yuoki__/graphics/entity/boiler-t2b-up.png",
				priority = "extra-high",
				width = 51,
				height = 51,
				shift = {0.15, 0}
			},
			down =
			{
				filename = "__Yuoki__/graphics/entity/boiler-t2d-down.png",
				priority = "extra-high",
				width = 51,
				height = 51,
				shift = {0.05, 0}
			},
			left_down =
			{
				filename = "__Yuoki__/graphics/entity/boiler-t2a-left.png",
				priority = "extra-high",
				width = 51,
				height = 51,
				shift = {0, -0.02}
			},
			right_down =
			{
				filename = "__Yuoki__/graphics/entity/boiler-t2c-right.png",
				priority = "extra-high",
				width = 51,
				height = 51
			},
			left_up =
			{
				filename = "__Yuoki__/graphics/entity/boiler-t2a-left.png",
				priority = "extra-high",
				width = 51,
				height = 51,
				shift = {0.05, 0}
			},
			right_up =
			{
				filename = "__Yuoki__/graphics/entity/boiler-t2c-right.png",
				priority = "extra-high",
				width = 51,
				height = 51,
				shift = {0.15, 0}
			},
			t_down =
			{
				filename = "__Yuoki__/graphics/entity/boiler-t2d-down.png",
				priority = "extra-high",
				width = 51,
				height = 51,
				shift = {0, 0}
			},
			t_up =
			{
				filename = "__Yuoki__/graphics/entity/boiler-t2b-up.png",
				priority = "extra-high",
				width = 51,
				height = 51,
				shift = {0, 0}
			}
		},
		fire =
		{
			left = boilerfires.down,
			down = boilerfires.left,
			left_down = boilerfires.right,
			right_down = boilerfires.left,
			left_up = boilerfires.down,
			right_up = boilerfires.down,
			t_up = boilerfires.down
		},
		burning_cooldown = 20,
		-- these are the pipe pictures - boiler is a pipe as well
		pictures = pipepictures()
	},



	{
		type = "boiler",
		name = "boiler-iv",
		icon = "__Yuoki__/graphics/icons/boiler3mw_icon2.png",
		flags = {"placeable-player", "player-creation"},
		minable = {hardness = 0.3, mining_time = 0.5, result = "boiler-iv"},
		max_health = 350,
		corpse = "small-remnants",
		resistances = 
		{
			{
				type = "fire",
				percent = 80
			}
		},
		--fast_replaceable_group = "pipe",
		collision_box = {{-1.25, -1.25}, {1.25, 1.25}},
		selection_box = {{-1.5, -1.5}, {1.5, 1.5}},
		fluid_box =
		{
			base_area = 1,
			pipe_connections =
			{
				{ position = { 0, -2.0} },
				{ position = { 2,    0} },
				{ position = { 0,  2.0} },
				{ position = {-2,    0} }
			},
		},
		energy_consumption = "4000kW",
		burner =
		{
			effectivity = 0.65,
			fuel_inventory_size = 3,
			fuel_inventory_count = 10,
			emissions = 0.1 / 8.0,
			smoke =
			{
				{
					name = "smoke",
					deviation = {0.1, 0.1},
					frequency = 1.5,
				}
			}
		},
		structure =
		{
			left =
			{
				filename = "__Yuoki__/graphics/entity/big_boiler_112.png",
				priority = "extra-high",
				width = 96,
				height = 122,
				shift = {0, 0.2},
			},
			down =
			{
				filename = "__Yuoki__/graphics/entity/big_boiler_112.png",
				priority = "extra-high",
				width = 96,
				height = 122,
				shift = {0, 0.2}
			},
			left_down =
			{
				filename = "__Yuoki__/graphics/entity/big_boiler_112.png",
				priority = "extra-high",
				width = 96,
				height = 122,				
				shift = {0, 0.2},
			},
			right_down =
			{
				filename = "__Yuoki__/graphics/entity/big_boiler_112.png",
				priority = "extra-high",
				width = 96,
				height = 122,
				shift = {0, 0.2},
			},
			left_up =
			{
				filename = "__Yuoki__/graphics/entity/big_boiler_112.png",
				priority = "extra-high",
				width = 96,
				height = 122,
				shift = {0, 0.2},
			},
			right_up =
			{
				filename = "__Yuoki__/graphics/entity/big_boiler_112.png",
				priority = "extra-high",
				width = 96,
				height = 122,
				shift = {0, 0.2},
			},
			t_down =
			{
				filename = "__Yuoki__/graphics/entity/big_boiler_112.png",
				priority = "extra-high",
				width = 96,
				height = 122,
				shift = {0, 0.2},
			},
			t_up =
			{
				filename = "__Yuoki__/graphics/entity/big_boiler_112.png",
				priority = "extra-high",
				width = 96,
				height = 122,
				shift = {0, 0.2},
			}
		},
		fire =
		{
			left = boilerfires.down,
			down = boilerfires.left,
			left_down = boilerfires.right,
			right_down = boilerfires.left,
			left_up = boilerfires.down,
			right_up = boilerfires.down,
			t_up = boilerfires.down
		},
		burning_cooldown = 20,
		-- these are the pipe pictures - boiler is a pipe as well
		pictures = pipepictures()
	},

	{
		type = "assembling-machine",
		name = "archsite",
		icon = "__Yuoki__/graphics/entity/archsite.png",
		flags = {"placeable-neutral","player-creation"},
		minable = {hardness = 0.2,mining_time = 0.5,result = "archsite"},
		max_health = 200,
		resistances = {{type = "fire",percent = 70}},
		collision_box = {{-2.9, -2.9}, {2.9, 2.9}},
		selection_box = {{-3.0, -3.0}, {3.0, 3.0}},
		animation = {
			filename = "__Yuoki__/graphics/entity/archsite_192.png",
			priority = "medium",
			frame_width = 192,
			frame_height = 192,
			frame_count = 1,						
			shift = {0.0, 0.0}
		},					
		crafting_categories = {"yuoki-archaeology"},
		crafting_speed = 1,
		energy_source = {type = "electric",input_priority = "secondary", usage_priority = "secondary-input", emissions = 0.002 / 1.5},
		energy_usage = "250kW",
		ingredient_count = 1,
	},
	
	{
		type = "assembling-machine",
		name = "dirtwasher",
		icon = "__Yuoki__/graphics/icons/dw.png",
		flags = {"placeable-neutral","player-creation"},
		minable = {hardness = 0.2,mining_time = 0.5,result = "dirtwasher"},
		max_health = 100,
		resistances = {{type = "fire",percent = 70}},
		collision_box = {{-1.4,-1.4},{1.4,1.4}},
		selection_box = {{-1.5,-1.5},{1.5,1.5}},
		animation = {
			filename = "__Yuoki__/graphics/entity/washer_anim_v.png",
			priority = "medium",
			frame_width = 96,
			frame_height = 128,
			frame_count = 11,						
			shift = {0, -0.25},
			animation_speed=0.7,
		},					
		crafting_categories = {"yuoki-archaeology-wash"},
		crafting_speed = 1,
		energy_source = {type = "electric",input_priority = "secondary", usage_priority = "secondary-input", emissions = 0.002 / 1.5},
		energy_usage = "350kW",
		ingredient_count = 2,
		fluid_boxes =
		{
			{
				production_type = "input",
				pipe_covers = pipecoverspictures(),
				base_area = 10,
				base_level = -1,
				pipe_connections = {{ type="input", position = {-1, -2} }}
			},
			{
				production_type = "input",
				pipe_covers = pipecoverspictures(),
				base_area = 10,
				base_level = -1,
				pipe_connections = {{ type="input", position = {1, -2.0} }}
			},
			{
				production_type = "output",
				pipe_covers = pipecoverspictures(),
				base_level = 1,
				pipe_connections = {{ position = {1, 2} }}
			},
			{
				production_type = "output",
				pipe_covers = pipecoverspictures(),
				base_level = 1,
				pipe_connections = {{ position = {-1, 2} }}
			},
			off_when_no_fluid_recipe = true,
		},	  
	},
	
	{
		type = "assembling-machine",
		name = "heat-form-press",
		icon = "__Yuoki__/graphics/icons/pressure_icon.png",
		flags = {"placeable-neutral","player-creation"},
		minable = {hardness = 0.2,mining_time = 0.5,result = "heat-form-press"},
		max_health = 100,
		resistances = {{type = "fire",percent = 70}},
		collision_box = {{-0.9,-0.9},{0.9,0.9}},
		selection_box = {{-1.0,-1.0},{1.0,1.0}},
		animation = {
			filename = "__Yuoki__/graphics/entity/formpress_anim.png",
			priority = "medium",
			frame_width = 64,
			frame_height = 72,
			frame_count = 9,						
			shift = {0.0, -0.25},
			animation_speed=0.5,
		},					
		crafting_categories = {"yuoki-formpress-recipe"},
		crafting_speed = 2,
		energy_source = {type = "electric", input_priority = "secondary", usage_priority = "secondary-input", emissions = 0.002 / 1.5},
		energy_usage = "800kW",
		ingredient_count = 4,
		fluid_boxes =
		{
			{
				production_type = "input",
				pipe_covers = pipecoverspictures(),
				base_area = 10,
				base_level = -1,
				pipe_connections = {{ type="input", position = { -0.5, 1.5} }}
			},
			{
				production_type = "input",
				pipe_covers = pipecoverspictures(),
				base_area = 10,
				base_level = -1,
				pipe_connections = {{ type="input", position = {  0.5, 1.5} }}
			},
			off_when_no_fluid_recipe = false,			
			{
				production_type = "output",
				pipe_covers = pipecoverspictures(),				
				base_level = 1,
				pipe_connections = {{position = { 1.5, -0.5} }}
			},
			{
				production_type = "output",
				pipe_covers = pipecoverspictures(),				
				base_level = 1,
				pipe_connections = {{position = { -1.5, -0.5} }}
			},			
		},
	},
	
	{
		type = "generator",
		name = "steam-turbine",
		icon = "__Yuoki__/graphics/icons/steam-turbine_icon.png",
		flags = {"placeable-neutral","player-creation"},
		minable = {mining_time = 1, result = "steam-turbine"},
		max_health = 300,
		corpse = "big-remnants",
		effectivity = 1.25,
		fluid_usage_per_tick = 0.2,
		resistances =
		{
			{
				type = "fire",
				percent = 70
			}
		},
		collision_box = {{-1.9, -2.4}, {1.9, 2.4}},
		selection_box = {{-2.0, -2.5}, {2.0, 2.5}},
		fluid_box =
		{
			base_area = 1,
			pipe_covers = pipecoverspictures(),
			pipe_connections =
			{
				{ position = {-0.5, 3} },
				{ position = {-0.5, -3} },
			},
		},
		energy_source =
		{
			type = "electric",
			usage_priority = "secondary-output"
		},
		horizontal_animation =
		{
			filename = "__Yuoki__/graphics/entity/steam_turb-line-h.png",
			frame_width = 220,
			frame_height = 150,
			frame_count = 8,
			line_length = 8,
			shift = {1.0, -0.6}
		},
		vertical_animation =
		{
			filename = "__Yuoki__/graphics/entity/steam_turb-line-1.png",
			frame_width = 180,
			frame_height = 220,
			frame_count = 8,
			line_length = 8,
			shift = {1.2, 1}
		},
		
		pipes_horizontal =
		{
			filename = "__base__/graphics/entity/steam-engine/pipes-horizontal.png",
			priority = "high",
			width = 160,
			height = 42,
			shift = {0, -0.5}
		},
		pipes_vertical =
		{
			filename = "__base__/graphics/entity/steam-engine/pipes-vertical.png",
			priority = "high",
			width = 44,
			height = 160,
			shift = {-0.5, 0}
		},
		
		smoke =
		{
			{
				name = "smoke",
				north_position = {0, -2.2},
				east_position = {-1.1, -2.6},
				deviation = {0.2, 0.2},
				frequency = 0.2,
				offset = 0.33
			},
		}
	},   

	{
		type = "generator",
		name = "steam-turbine-mk2",
		icon = "__Yuoki__/graphics/icons/small_steam_icon.png",
		flags = {"placeable-neutral","player-creation"},
		minable = {mining_time = 1, result = "steam-turbine-mk2"},
		max_health = 300,
		corpse = "big-remnants",
		effectivity = 1.2,
		fluid_usage_per_tick = 0.08,
		resistances =
		{
			{
				type = "fire",
				percent = 70
			}
		},
		collision_box = {{-1.4, -1.4}, {1.4, 1.4}},
		selection_box = {{-1.5, -1.5}, {1.5, 1.5}},
		fluid_box =
		{
			base_area = 1,
			--pipe_covers = pipecoverspictures(),
			pipe_connections =
			{
				{ position = { 0.0,  2.0} },
				{ position = { 0.0, -2.0} },
			},
		},
		energy_source =
		{
			type = "electric",
			--usage_priority = "secondary-output"
			usage_priority = "terciary",			
		},
		horizontal_animation =
		{
			filename = "__Yuoki__/graphics/entity/small_turbine_va.png",
			frame_width = 112,
			frame_height = 112,
			frame_count = 9,
			line_length = 9,
			shift = {0.0, -0.2}
		},
		vertical_animation =
		{
			filename = "__Yuoki__/graphics/entity/small_turbine_ha.png",
			frame_width = 96,
			frame_height = 112,
			frame_count = 9,
			line_length = 9,
			shift = {0.0, 0.2}
		},
		pipes_horizontal =
		{
			filename = "__Yuoki__/graphics/entity/pipes_h96.png",
			priority = "high",
			width = 96,
			height = 44,
			shift = {0, 0}
		},
		pipes_vertical =
		{
			filename = "__Yuoki__/graphics/entity/pipes_v96.png",
			priority = "high",
			width = 44,
			height = 96
		},
		smoke =
		{
			{
				name = "smoke",
				north_position = {0, 0},
				east_position = {0, 0},
				deviation = {0.2, 0.2},
				frequency = 0.3,
				offset = 0.33
			},			
		}
	},     

	{
		type = "generator",
		name = "steam-turbine-mk3",
		icon = "__Yuoki__/graphics/icons/small_steam_icon.png",
		flags = {"placeable-neutral","player-creation"},
		minable = {mining_time = 1, result = "steam-turbine-mk3"},
		max_health = 300,
		corpse = "big-remnants",
		effectivity = 1.4,
		fluid_usage_per_tick = 0.7,
		resistances =
		{
			{
				type = "fire",
				percent = 70
			}
		},
		collision_box = {{-2.4, -2.4}, {2.4, 2.4}},
		selection_box = {{-2.5, -2.5}, {2.5, 2.5}},
		fluid_box =
		{
			base_area = 1,
			--pipe_covers = pipecoverspictures(),
			pipe_connections =
			{
				{ position = { 0.0,  3.0} },
				{ position = { 0.0, -3.0} },
			},
		},
		energy_source =
		{
			type = "electric",
			usage_priority = "primary-output",
		},
		horizontal_animation =
		{
			filename = "__Yuoki__/graphics/entity/steam_plant_anim_h.png",
			frame_width = 210,
			frame_height = 180,
			frame_count = 18,
			line_length = 9,
			shift = {0.3, 0},
			animation_speed=0.1,
		},
		vertical_animation =
		{
			filename = "__Yuoki__/graphics/entity/steam_plant_anim.png",
			frame_width = 210,
			frame_height = 180,
			frame_count = 18,
			line_length = 9,
			shift = {0.3, 0},
			animation_speed=0.1,
		},
		pipes_horizontal =
		{
			filename = "__Yuoki__/graphics/entity/pipes_h96.png",
			priority = "high",
			width = 96,
			height = 44,
			shift = {0, 0}
		},
		pipes_vertical =
		{
			filename = "__Yuoki__/graphics/entity/pipes_v96.png",
			priority = "high",
			width = 44,
			height = 96,
		},
		smoke =
		{
			{
				name = "smoke",
				north_position = {-0.2, -2.0},
				east_position = {-0.2, -2.5},
				deviation = {0.2, 0.2},
				frequency = 1,
				offset = 0,
			},
		}
	},  		

	{
		type = "generator",
		name = "notfall-generator-s1",
		icon = "__Yuoki__/graphics/icons/basic_steam_icon.png",
		flags = {"placeable-neutral","player-creation"},
		minable = {mining_time = 1, result = "notfall-generator-s1"},
		max_health = 300,
		corpse = "small-remnants",
		effectivity = 1.025,
		fluid_usage_per_tick = 0.05,
		resistances =
		{
			{
				type = "fire",
				percent = 70
			}
		},
		collision_box = {{-0.9, -0.9}, {0.9, 0.9}},
		selection_box = {{-1.0, -1.0}, {1.0, 1.0}},
		fluid_box =
		{
			base_area = 2,
			--pipe_covers = pipecoverspictures(),
			pipe_connections =
			{
				{ position = { 0.5,  1.5} },
				{ position = { 0.5, -1.5} },
			},
		},
		energy_source =
		{
			type = "electric",
			usage_priority = "primary-output",
		},
		horizontal_animation =
		{
			filename = "__Yuoki__/graphics/entity/bgen1h_anim2.png",
			frame_width = 64,
			frame_height = 72,
			frame_count = 16,
			line_length = 16,
			shift = {0.0, -0.2}
		},
		vertical_animation =
		{
			filename = "__Yuoki__/graphics/entity/bgen1h_anim2.png",
			frame_width = 64,
			frame_height = 72,
			frame_count = 16,
			line_length = 16,
			shift = {0.0, -0.2}
		},
		pipes_horizontal =
		{
			filename = "__Yuoki__/graphics/entity/pipes_h64.png",
			priority = "high",
			width = 64,
			height = 44,
			shift = {0, 0.5}
		},
		pipes_vertical =
		{
			filename = "__Yuoki__/graphics/entity/pipes_v64.png",
			priority = "high",
			width = 44,
			height = 64,
			shift = {0.5, 0.5},
		},
		smoke =
		{
			{
				name = "smoke",
				north_position = {-0.8, -0.9},
				east_position = { -0.8, -0.9},
				deviation = {0.2, 0.2},
				frequency = 0.1,
				offset = 0
			},
		}
	},  
	{
		type = "generator",
		name = "notfall-generator-s2",
		icon = "__Yuoki__/graphics/icons/basic_steam_icon.png",
		flags = {"placeable-neutral","player-creation"},
		minable = {mining_time = 1, result = "notfall-generator-s1"},
		max_health = 300,
		corpse = "small-remnants",
		effectivity = 1.05,
		fluid_usage_per_tick = 0.0525,
		resistances =
		{
			{
				type = "fire",
				percent = 70
			}
		},
		collision_box = {{-0.9, -0.9}, {0.9, 0.9}},
		selection_box = {{-1.0, -1.0}, {1.0, 1.0}},
		fluid_box =
		{
			base_area = 2,
			--pipe_covers = pipecoverspictures(),
			pipe_connections =
			{
				{ position = { 0.5,  1.5} },
				{ position = { 0.5, -1.5} },
			},
		},
		energy_source =
		{
			type = "electric",
			usage_priority = "secondary-output",
		},
		horizontal_animation =
		{
			filename = "__Yuoki__/graphics/entity/bgen2h_combi.png",
			frame_width = 64,
			frame_height = 72,
			frame_count = 8,
			line_length = 8,
			shift = {0.0, -0.2}
		},
		vertical_animation =
		{
			filename = "__Yuoki__/graphics/entity/bgen2h_combi.png",
			frame_width = 64,
			frame_height = 72,
			frame_count = 8,
			line_length = 8,
			shift = {0.0, -0.2}
		},		
		pipes_horizontal =
		{
			filename = "__Yuoki__/graphics/entity/pipes_h64.png",
			priority = "high",
			width = 64,
			height = 44,
			shift = {0, 0.5}
		},
		pipes_vertical =
		{
			filename = "__Yuoki__/graphics/entity/pipes_v64.png",
			priority = "high",
			width = 44,
			height = 64,
			shift = {0.5, 0.5},
		},
		
		smoke =
		{
			{
				name = "smoke",
				north_position = { -0.8, -0.9},
				east_position = { -0.8, -0.9},
				deviation = {0.2, 0.2},
				frequency = 0.1,
				offset = 0
			},
		}
	},  
	{
		type = "generator",
		name = "notfall-generator-s3",
		icon = "__Yuoki__/graphics/icons/basic_steam_icon.png",
		flags = {"placeable-neutral","player-creation"},
		minable = {mining_time = 1, result = "notfall-generator-s1"},
		max_health = 300,
		corpse = "small-remnants",
		effectivity = 1.075,
		fluid_usage_per_tick = 0.055,
		resistances =
		{
			{
				type = "fire",
				percent = 70
			}
		},
		collision_box = {{-0.9, -0.9}, {0.9, 0.9}},
		selection_box = {{-1.0, -1.0}, {1.0, 1.0}},
		fluid_box =
		{
			base_area = 2,
			--pipe_covers = pipecoverspictures(),
			pipe_connections =
			{
				{ position = { 0.5,  1.5} },
				{ position = { 0.5, -1.5} },
			},
		},
		energy_source =
		{
			type = "electric",
			usage_priority = "terciary",
		},
		horizontal_animation =
		{
			filename = "__Yuoki__/graphics/entity/bgen3h_combi.png",
			frame_width = 64,
			frame_height = 72,
			frame_count = 8,
			line_length = 8,
			shift = {0.0, -0.2}
		},
		vertical_animation =
		{
			filename = "__Yuoki__/graphics/entity/bgen3h_combi.png",
			frame_width = 64,
			frame_height = 72,
			frame_count = 8,
			line_length = 8,
			shift = {0.0, -0.2}
		},
		pipes_horizontal =
		{
			filename = "__Yuoki__/graphics/entity/pipes_h64.png",
			priority = "high",
			width = 64,
			height = 44,
			shift = {0, 0.5}
		},
		pipes_vertical =
		{
			filename = "__Yuoki__/graphics/entity/pipes_v64.png",
			priority = "high",
			width = 44,
			height = 64,
			shift = {0.5, 0.3},
		},
		smoke =
		{
			{
				name = "smoke",
				north_position = {-0.8, -0.9},
				east_position = {-0.8, -0.9},
				deviation = {0.2, 0.2},
				frequency = 0.2,
				offset = 0,
			},
		}
	},  
	
	{
		type = "mining-drill",
		name = "y-mining-drill",
		icon = "__base__/graphics/icons/basic-mining-drill.png",
		flags = {"placeable-neutral", "player-creation"},
		minable = {mining_time = 1, result = "y-mining-drill"},
		max_health = 300,
		resource_categories = {"basic-solid"},
		corpse = "big-remnants",
		collision_box = {{ -1.4, -1.4}, {1.4, 1.4}},
		selection_box = {{ -1.5, -1.5}, {1.5, 1.5}},
		animations =
		{
			north =
			{
				priority = "extra-high",
				frame_width = 110,
				frame_height = 114,
				line_length = 8,
				shift = {0.2, -0.2},
				filename = "__base__/graphics/entity/basic-mining-drill/north.png",
				frame_count = 64,
				animation_speed = 0.5,
				run_mode = "forward-then-backward",
			},
			east =
			{
				priority = "extra-high",
				frame_width = 129,
				frame_height = 100,
				line_length = 8,
				shift = {0.45, 0},
				filename = "__base__/graphics/entity/basic-mining-drill/east.png",
				frame_count = 64,
				animation_speed = 0.5,
				run_mode = "forward-then-backward",
			},
			south =
			{
				priority = "extra-high",
				frame_width = 109,
				frame_height = 111,
				line_length = 8,
				shift = {0.15, 0},
				filename = "__base__/graphics/entity/basic-mining-drill/south.png",
				frame_count = 64,
				animation_speed = 0.5,
				run_mode = "forward-then-backward",
			},
			west =
			{
				priority = "extra-high",
				frame_width = 128,
				frame_height = 100,
				line_length = 8,
				shift = {0.25, 0},
				filename = "__base__/graphics/entity/basic-mining-drill/west.png",
				frame_count = 64,
				animation_speed = 0.5,
				run_mode = "forward-then-backward",
			}
		},		
		mining_speed = 2.0,
		energy_source =
		{
			type = "burner",
			effectivity = 1,
			fuel_inventory_size = 2,
			emissions = 0.1 / 3,
			smoke =
			{
				{
					name = "smoke",
					deviation = {0.1, 0.1},
					frequency = 1
				}
			}
		},
		energy_usage = "250kW",
		mining_power = 4,
		resource_searching_radius = 3.99,
		vector_to_place_result = {0, -1.85},
		module_slots = 1,
		radius_visualisation_picture =
		{
			filename = "__base__/graphics/entity/basic-mining-drill/mining-drill-radius-visualization.png",
			width = 14,
			height = 14
		}
	},
	
	{
		type = "assembling-machine",
		name = "y-wonder-machine",
		icon = "__Yuoki__/graphics/gfx/yi-wonder-maschine.png",
		flags = {"placeable-neutral","placeable-player", "player-creation"},
		minable = {hardness = 0.2, mining_time = 0.5, result = "y-wonder-machine"},
		max_health = 500,
		corpse = "big-remnants",
		resistances = {{type = "fire",percent = 70}},
		fluid_boxes =
		{
			{
				production_type = "input",
				pipe_picture = assembler3pipepictures(),
				pipe_covers = pipecoverspictures(),
				base_area = 10,
				base_level = -1,
				pipe_connections = {{ type="input", position = {0, -2} }}
			},
			{
				production_type = "output",
				pipe_picture = assembler3pipepictures(),
				pipe_covers = pipecoverspictures(),
				base_area = 10,
				base_level = 1,
				pipe_connections = {{ type="output", position = {0, 2} }}
			},
			off_when_no_fluid_recipe = true
		},
		collision_box = {{-1.2, -1.2}, {1.2, 1.2}},
		selection_box = {{-1.5, -1.5}, {1.5, 1.5}},
		fast_replaceable_group = "assembling-machine",
		animation =
		{
			filename = "__base__/graphics/entity/assembling-machine-3/assembling-machine-3.png",
			priority = "high",
			frame_width = 142,
			frame_height = 113,
			frame_count = 32,
			line_length = 8,
			shift = {0.84, -0.09}
		},
		--crafting_categories = {"crafting", "advanced-crafting", "crafting-with-fluid","yuoki-import-bobores-wonder-recipe"},
		crafting_categories = {"yuoki-wonder-recipe"},
		crafting_speed = 3.0,
		energy_source =
		{
			type = "electric",
			usage_priority = "secondary-input",
			emissions = 0.03 / 3.5
		},
		energy_usage = "625kW",
		ingredient_count = 4,
		module_slots = 4,
		allowed_effects = {"consumption", "speed", "productivity", "pollution"},
		order="w[wonders]",
	},			

	{
		type = "assembling-machine",
		name = "y-crusher",
		icon = "__Yuoki__/graphics/icons/crystal_3.png",
		flags = {"placeable-neutral","placeable-player", "player-creation"},
		minable = {hardness = 0.2, mining_time = 0.5, result = "y-crusher"},
		max_health = 300,
		corpse = "big-remnants",
		resistances = {{type = "fire",percent = 70}},
		fluid_boxes =
		{
			{
				production_type = "input",
				pipe_picture = assembler3pipepictures(),
				pipe_covers = pipecoverspictures(),
				base_area = 10,
				base_level = -1,
				pipe_connections = {{ type="input", position = {-0.5, -1.5} }}
			},
			{
				production_type = "output",
				pipe_picture = assembler3pipepictures(),
				pipe_covers = pipecoverspictures(),
				base_area = 10,
				base_level = 1,
				pipe_connections = {{ type="output", position = {0.5, 1.5} }}
			},
			off_when_no_fluid_recipe = true
		},
		collision_box = {{-0.7, -0.7}, {0.7, 0.7}},
		selection_box = {{-1.0, -1.0}, {1.0, 1.0}},
		fast_replaceable_group = "assembling-machine",
		animation =
		{
			filename = "__Yuoki__/graphics/entity/crusher-anim.png",
			priority = "medium",
			frame_width = 65,
			frame_height = 78,
			frame_count = 11,
			line_length = 11,
			shift = {0.0, -0.0}
		},
		--crafting_categories = {"crafting", "advanced-crafting", "crafting-with-fluid","yuoki-import-bobores-wonder-recipe"},
		crafting_categories = {"y-crushing-recipe"},
		crafting_speed = 1.5,
		energy_source =
		{
			type = "electric",
			usage_priority = "secondary-input",
			emissions = 0.03 / 3.5
		},
		energy_usage = "125kW",
		ingredient_count = 2,
		module_slots = 1,
		allowed_effects = {"consumption", "speed", "productivity", "pollution"},
		order="c[crush]",
	},	
	
}
)


