data:extend(
{
	{
		type = "container",
		name = "yi-titan-chest",
		icon = "__Yuoki__/prototypes/integration/gfx/yi_titan-chest-icon.png",
		flags = {"placeable-neutral", "player-creation"},
		open_sound = { filename = "__base__/sound/metallic-chest-open.ogg", volume=0.65 },
		close_sound = { filename = "__base__/sound/metallic-chest-close.ogg", volume = 0.7 },
		minable = {mining_time = 1, result = "yi-titan-chest"},
		max_health = 300,
		corpse = "small-remnants",
		resistances = 
		{
			{
				type = "physical",
				percent = 20
			},		
			{
				type = "fire",
				percent = 50
			}
		},
		collision_box = {{-0.4, -0.4}, {0.4, 0.4}},
		selection_box = {{-0.5, -0.5}, {0.5, 0.5}},
		fast_replaceable_group = "container-small",
		inventory_size = 60,
		picture =
		{
			filename = "__Yuoki__/prototypes/integration/gfx/yi_titan-chest_e.png",
			priority = "high",
			width = 48,
			height = 40,
			shift = {0.2, -0.1},
		}
	},
	
	{
		type = "smart-container",
		name = "yi-titan-chest-smart",
		icon = "__Yuoki__/prototypes/integration/gfx/yi_titan-chest-smart-icon.png",
		flags = {"placeable-neutral", "player-creation"},
		--open_sound = { filename = "__base__/sound/metallic-chest-open.wav", volume=0.65 },
		--close_sound = { filename = "__base__/sound/metallic-chest-close.wav", volume = 0.7 },
		minable = { hardness = 0.2, mining_time = 0.5, result = "yi-titan-chest-smart" },
		max_health = 300,
		corpse = "small-remnants",
		resistances = {{type = "fire",percent = 70}},
		collision_box = {{-0.35, -0.35}, {0.35, 0.35}},
		selection_box = {{-0.5, -0.5}, {0.5, 0.5}},
		fast_replaceable_group = "container",
		inventory_size = 60,
		picture =
		{
			filename = "__Yuoki__/prototypes/integration/gfx/yi_titan-chest-smart-e.png",
			priority = "extra-high",
			width = 48,
			height = 40,
			shift = {0.2, -0.1}
		},
		connection_point =
		{
			shadow =
			{
				red = {0.7, -0.3},
				green = {0.7, -0.3}
			},
			wire =
			{
				red = {0.3, -0.8},
				green = {0.3, -0.8}
			}
		}
	},
	
	{
		type = "logistic-container",
		name = "yi-titan-chest-log-store",
		icon = "__Yuoki__/prototypes/integration/gfx/yi_titan-chest-log-icon.png",
		flags = {"placeable-player", "player-creation"},
		--open_sound = { filename = "__base__/sound/metallic-chest-open.wav", volume=0.65 },
		--close_sound = { filename = "__base__/sound/metallic-chest-close.wav", volume = 0.7 },		
		minable = {hardness = 0.2, mining_time = 0.5, result = "yi-titan-chest-log-store"},
		max_health = 300,
		corpse = "small-remnants",
		collision_box = {{-0.35, -0.35}, {0.35, 0.35}},
		selection_box = {{-0.5, -0.5}, {0.5, 0.5}},
		fast_replaceable_group = "container",
		inventory_size = 60,
		logistic_mode = "storage",
		picture =
		{
			filename = "__Yuoki__/prototypes/integration/gfx/yi_titan-chest-log-e.png",
			priority = "extra-high",
			width = 48,
			height = 40,
			shift = {0.2, -0.1}
		}
	},
	--[[
	{
		type = "wall",
		name = "yi-titan-wall",
		icon = "__Yuoki__/prototypes/integration/gfx/yi_titan-wall_icon.png",		
		flags = {"placeable-neutral", "player-creation"},
		collision_box = {{-0.29, -0.29}, {0.29, 0.29}},
		selection_box = {{-0.5, -0.5}, {0.5, 0.5}},
		minable = {mining_time = 1, result = "yi-titan-wall"},
		max_health = 800,
		corpse = "wall-remnants",
		repair_sound = { filename = "__base__/sound/manual-repair-simple.ogg" },
		mined_sound = { filename = "__base__/sound/deconstruct-bricks.ogg" },
		resistances =
		{
			{
				type = "physical",
				decrease = 4,
				percent = 40
			},
			{
				type = "explosion",
				decrease = 5,
				percent = 40
			},
			{
				type = "fire",
				percent = 100
			},
			{
				type = "laser",
				percent = 70
			}
		},
		pictures =
		{
			single =
			{
				{
					filename = "__Yuoki__/prototypes/integration/gfx/yi_titan-wall_s.png",
					priority = "extra-high",
					width = 32,
					height = 40,
					shift = {0, 0}
				}
			},
			straight_vertical =
			{
				{
					filename = "__Yuoki__/prototypes/integration/gfx/yi_titan-wall_s.png",
					priority = "extra-high",
					width = 32,
					height = 40,
					shift = {0, 0}
				},
				{
					filename = "__Yuoki__/prototypes/integration/gfx/yi_titan-wall_s.png",
					priority = "extra-high",
					width = 32,
					height = 40,
					shift = {0, 0}
				}
			},
			straight_vertical_under_ending =
			{
				{
					filename = "__Yuoki__/prototypes/integration/gfx/yi_titan-wall_s.png",
					priority = "extra-high",
					width = 32,
					height = 40,
					shift = {0, 0}
				}
			},
			straight_horizontal =
			{
				{
					filename = "__Yuoki__/prototypes/integration/gfx/yi_titan-wall_s.png",
					priority = "extra-high",
					width = 32,
					height = 40,
					shift = {0, 0}
				},
				{
					filename = "__Yuoki__/prototypes/integration/gfx/yi_titan-wall_s.png",
					priority = "extra-high",
					width = 32,
					height = 40,
					shift = {0, 0}
				},
				{
					filename = "__Yuoki__/prototypes/integration/gfx/yi_titan-wall_s.png",
					priority = "extra-high",
					width = 32,
					height = 40,
					shift = {0, 0}
				}
			},
			corner_right_up =
			{
				{
					filename = "__Yuoki__/prototypes/integration/gfx/yi_titan-wall_s.png",
					priority = "extra-high",
					width = 32,
					height = 40,
					shift = {0, 0}
				}
			},
			corner_right_down =
			{
				{
					filename = "__Yuoki__/prototypes/integration/gfx/yi_titan-wall_s.png",
					priority = "extra-high",
					width = 32,
					height = 40,
					shift = {0, 0}
				}
			},
			corner_left_down =
			{
				{
					filename = "__Yuoki__/prototypes/integration/gfx/yi_titan-wall_s.png",
					priority = "extra-high",
					width = 32,
					height = 40,
					shift = {0, 0}
				}
			},
			corner_left_up =
			{
				{
					filename = "__Yuoki__/prototypes/integration/gfx/yi_titan-wall_s.png",
					priority = "extra-high",
					width = 32,
					height = 40,
					shift = {0, 0}
				}
			},
			t_up =
			{
				{
					filename = "__Yuoki__/prototypes/integration/gfx/yi_titan-wall_s.png",
					priority = "extra-high",
					width = 32,
					height = 40,
					shift = {0, 0}
				}
			},
			t_down =
			{
				{
					filename = "__Yuoki__/prototypes/integration/gfx/yi_titan-wall_s.png",
					priority = "extra-high",
					width = 32,
					height = 40,
					shift = {0, 0}
				}
			},
			t_right =
			{
				{
					filename = "__Yuoki__/prototypes/integration/gfx/yi_titan-wall_s.png",
					priority = "extra-high",
					width = 32,
					height = 40,
					shift = {0, 0}
				}
			},
			t_left =
			{
				{
					filename = "__Yuoki__/prototypes/integration/gfx/yi_titan-wall_s.png",
					priority = "extra-high",
					width = 32,
					height = 40,
					shift = {0, 0}
				}
			},
			cross =
			{
				{
					filename = "__Yuoki__/prototypes/integration/gfx/yi_titan-wall_s.png",
					priority = "extra-high",
					width = 32,
					height = 40,
					shift = {0, 0}
				}
			},
			ending_up =
			{
				{
					filename = "__Yuoki__/prototypes/integration/gfx/yi_titan-wall_s.png",
					priority = "extra-high",
					width = 32,
					height = 40,
					shift = {0, 0}
				}
			},
			ending_down =
			{
				{
					filename = "__Yuoki__/prototypes/integration/gfx/yi_titan-wall_s.png",
					priority = "extra-high",
					width = 32,
					height = 40,
					shift = {0, 0}
				}
			},
			ending_right =
			{
				{
					filename = "__Yuoki__/prototypes/integration/gfx/yi_titan-wall_s.png",
					priority = "extra-high",
					width = 32,
					height = 40,
					shift = {0, 0}
				}
			},
			ending_left =
			{
				{
					filename = "__Yuoki__/prototypes/integration/gfx/yi_titan-wall_s.png",
					priority = "extra-high",
					width = 32,
					height = 40,
					shift = {0, 0}
				}
			}
		}
	},
	
	{
		type = "electric-pole",
		name = "yi-electric-connector-r3",
		icon = "__Yuoki__/prototypes/integration/gfx/gf_connect_icon.png",
		flags = {"placeable-neutral", "player-creation"},
		minable = {hardness = 0.2, mining_time = 0.5, result = "yi-electric-connector-r3"},
		max_health = 100,
		corpse = "small-remnants",
		resistances = 
		{
			{
				type = "fire",
				percent = 100
			}
		},
		collision_box = {{-0.15, -0.15}, {0.15, 0.15}},
		selection_box = {{-0.5, -0.5}, {0.5, 0.5}},
		drawing_box = {{-2.8, -0.5}, {0.5, 0.5}},
		maximum_wire_distance = 3,
		supply_area_distance = 2.5,
		pictures =
		{
			filename = "__Yuoki__/prototypes/integration/gfx/gf_connect_pole.png",
			priority = "high",
			frame_width = 32,
			frame_height = 72,
			axially_symmetrical = false,
			direction_count = 1,
			shift = {0, -0.75}
		},
		connection_points =
		{
			{
				shadow =
				{
					copper = {0.2, -2.0},
					green = {0.1, -2.0},
					red = {0.1, -2.0}
				},
				wire =
				{
					copper = {0.1, -1.6},
					green = {-0.1,-1.6},
					red = {-0.1,-1.6}
				}
			},
			
		},
		copper_wire_picture =
		{
			filename = "__base__/graphics/entity/small-electric-pole/copper-wire.png",
			priority = "high",
			width = 224,
			height = 46
		},
		green_wire_picture =
		{
			filename = "__base__/graphics/entity/small-electric-pole/green-wire.png",
			priority = "high",
			width = 224,
			height = 46
		},
		radius_visualisation_picture =
		{
			filename = "__base__/graphics/entity/small-electric-pole/electric-pole-radius-visualization.png",
			width = 10,
			height = 10
		},
		red_wire_picture =
		{
			filename = "__base__/graphics/entity/small-electric-pole/red-wire.png",
			priority = "high",
			width = 224,
			height = 46
		},
		wire_shadow_picture =
		{
			filename = "__base__/graphics/entity/small-electric-pole/wire-shadow.png",
			priority = "high",
			width = 224,
			height = 46
		}
	},
	
	{
		type = "electric-pole",
		name = "yi-substation-m",
		icon = "__base__/graphics/icons/substation.png",
		flags = {"placeable-neutral", "player-creation"},
		minable = {hardness = 0.2, mining_time = 0.5, result = "yi-substation-m"},
		max_health = 200,
		corpse = "medium-remnants",
		resistances = 
		{
			{
				type = "fire",
				percent = 90
			}
		},
		collision_box = {{-0.9, -0.9}, {0.9, 0.9}},
		selection_box = {{-1, -1}, {1, 1}},
		drawing_box = {{-1, -1.5}, {1, 1}},
		maximum_wire_distance = 22,
		supply_area_distance = 9,
		pictures =
		{
			filename = "__base__/graphics/entity/substation/substation.png",
			priority = "high",
			frame_width = 132,
			frame_height = 144,
			axially_symmetrical = false,
			direction_count = 4,
			shift = {0.9, -1}
		},
		connection_points =
		{
			{
				shadow =
				{
					copper = {1.9, -0.6},
					green = {1.3, -0.6},
					red = {2.65, -0.6}
				},
				wire =
				{
					copper = {-0.23, -2.65},
					green = {-0.85,-2.65},
					red = {0.35,-2.65}
				}
			},
			{
				shadow =
				{
					copper = {1.9, -0.6},
					green = {1.2, -0.8},
					red = {2.5, -0.35}
				},
				wire =
				{
					copper = {-0.26, -2.71},
					green = {-0.67,-3},
					red = {0.17,-2.47}
				}
			},
			{
				shadow =
				{
					copper = {1.9, -0.6},
					green = {1.9, -0.9},
					red = {1.9, -0.3}
				},
				wire =
				{
					copper = {-0.23, -2.7},
					green = {-0.23,-3.2},
					red = {-0.23,-2.35}
				}
			},
			{
				shadow =
				{
					copper = {1.8, -0.7},
					green = {1.3, -0.6},
					red = {2.4, -1.15}
				},
				wire =
				{
					copper = {-0.2, -2.7},
					green = {-0.62,-2.45},
					red = {0.25,-2.98}
				}
			}
		},
		copper_wire_picture =
		{
			filename = "__base__/graphics/entity/small-electric-pole/copper-wire.png",
			priority = "high",
			width = 224,
			height = 46
		},
		green_wire_picture =
		{
			filename = "__base__/graphics/entity/small-electric-pole/green-wire.png",
			priority = "high",
			width = 224,
			height = 46
		},
		radius_visualisation_picture =
		{
			filename = "__base__/graphics/entity/small-electric-pole/electric-pole-radius-visualization.png",
			width = 16,
			height = 16
		},
		red_wire_picture =
		{
			filename = "__base__/graphics/entity/small-electric-pole/red-wire.png",
			priority = "high",
			width = 224,
			height = 46
		},
		wire_shadow_picture =
		{
			filename = "__base__/graphics/entity/small-electric-pole/wire-shadow.png",
			priority = "high",
			width = 224,
			height = 46
		}
	},

	{
		type = "accumulator",
		name = "yi-accumulator-s",
		icon = "__Yuoki__/prototypes/integration/gfx/small_accu_icon.png",
		flags = {"placeable-neutral", "player-creation"},
		minable = {hardness = 0.2, mining_time = 0.5, result = "yi-accumulator-s"},
		max_health = 150,
		corpse = "medium-remnants",
		collision_box = {{-0.3, -0.3}, {0.3, 0.3}},
		selection_box = {{-0.5, -0.5}, {0.5, 0.5}},
		energy_source =
		{
			type = "electric",
			buffer_capacity = "2MJ",
			usage_priority = "terciary",
			input_flow_limit = "200kW",
			output_flow_limit = "300kW"
		},
		picture =
		{
			filename = "__Yuoki__/prototypes/integration/gfx/small_accu_inaktiv.png",
			priority = "extra-high",
			width = 34,
			height = 52,
			shift = {0.0, -0.5}
		},
		charge_animation =
		{
			filename = "__Yuoki__/prototypes/integration/gfx/small_accu_anim.png",
			frame_width = 34,
			frame_height = 52,
			line_length = 13,
			frame_count = 13,
			shift = {0.0, -0.5},
			animation_speed = 0.5
		},
		charge_cooldown = 15,
		charge_light = {intensity = 0.3, size = 6},
		discharge_animation =
		{
			filename = "__Yuoki__/prototypes/integration/gfx/small_accu_anim.png",
			frame_width = 34,
			frame_height = 52,
			line_length = 13,
			frame_count = 13,
			shift = {0.0, -0.5},
			animation_speed = 0.5
		},
		discharge_cooldown = 30,
		discharge_light = {intensity = 0.7, size = 6},
		order="s[accu]",
	},  
	{
		type = "accumulator",
		name = "yi-accumulator-m",
		icon = "__Yuoki__/prototypes/integration/gfx/medium_accu_icon.png",
		flags = {"placeable-neutral", "player-creation"},
		minable = {hardness = 0.2, mining_time = 0.5, result = "yi-accumulator-m"},
		max_health = 250,
		corpse = "medium-remnants",
		collision_box = {{-0.9, -0.9}, {0.9, 0.9}},
		selection_box = {{-1, -1}, {1, 1}},
		energy_source =
		{
			type = "electric",
			buffer_capacity = "10MJ",
			usage_priority = "terciary",
			input_flow_limit = "600kW",
			output_flow_limit = "600kW"
		},
		picture =
		{
			filename = "__Yuoki__/prototypes/integration/gfx/medium_accu_inaktive.png",
			priority = "extra-high",
			width = 66,
			height = 84,
			shift = {0.0, -0.35}
		},
		charge_animation =
		{
			filename = "__Yuoki__/prototypes/integration/gfx/accu_m_charge_2e.png",
			frame_width = 66,
			frame_height = 84,
			line_length = 5,
			frame_count = 5,
			shift = {0.0, -0.35},
			animation_speed = 0.5
		},
		charge_cooldown = 45,
		charge_light = {intensity = 0.3, size = 11},
		discharge_animation =
		{
			filename = "__Yuoki__/prototypes/integration/gfx/accu_m_discharge_2e.png",
			frame_width = 66,
			frame_height = 84,
			line_length = 5,
			frame_count = 5,
			shift = {0.0, -0.35},
			animation_speed = 0.5
		},
		discharge_cooldown = 90,
		discharge_light = {intensity = 0.7, size = 11},
		order="s[accu]",
	},  
	{
		type = "accumulator",
		name = "yi-accumulator-b",
		icon = "__base__/graphics/icons/basic-accumulator.png",
		flags = {"placeable-neutral", "player-creation"},
		minable = {hardness = 0.2, mining_time = 0.5, result = "yi-accumulator-b"},
		max_health = 150,
		corpse = "medium-remnants",
		collision_box = {{-0.9, -0.9}, {0.9, 0.9}},
		selection_box = {{-1, -1}, {1, 1}},
		energy_source =
		{
			type = "electric",
			buffer_capacity = "20MJ",
			usage_priority = "terciary",
			input_flow_limit = "1000kW",
			output_flow_limit = "1000kW"
		},
		picture =
		{
			filename = "__base__/graphics/entity/basic-accumulator/basic-accumulator.png",
			priority = "extra-high",
			width = 124,
			height = 103,
			shift = {0.7, -0.2}
		},
		charge_animation =
		{
			filename = "__base__/graphics/entity/basic-accumulator/basic-accumulator-charge-animation.png",
			frame_width = 138,
			frame_height = 135,
			line_length = 8,
			frame_count = 24,
			shift = {0.482, -0.638},
			animation_speed = 0.5
		},
		charge_cooldown = 60,
		charge_light = {intensity = 0.3, size = 15},
		discharge_animation =
		{
			filename = "__base__/graphics/entity/basic-accumulator/basic-accumulator-discharge-animation.png",
			frame_width = 147,
			frame_height = 128,
			line_length = 8,
			frame_count = 24,
			shift = {0.395, -0.525},
			animation_speed = 0.5
		},
		discharge_cooldown = 120,
		discharge_light = {intensity = 0.7, size = 15},
		order="s[accu]",
	},  
		
	{
		type = "assembling-machine",
		name = "yi-wonder-machine",
		icon = "__Yuoki__/prototypes/integration/gfx/yi-wonder-maschine.png",
		flags = {"placeable-neutral","placeable-player", "player-creation"},
		minable = {hardness = 0.2, mining_time = 0.5, result = "yi-wonder-machine"},
		max_health = 500,
		corpse = "big-remnants",
		resistances = {{type = "fire",percent = 70}},
		fluid_boxes =
		{
			{
				production_type = "input",
				pipe_picture = assembler3pipepictures(),
				pipe_covers = pipecoverspictures(),
				base_area = 10,
				base_level = -1,
				pipe_connections = {{ type="input", position = {0, -2} }}
			},
			{
				production_type = "output",
				pipe_picture = assembler3pipepictures(),
				pipe_covers = pipecoverspictures(),
				base_area = 10,
				base_level = 1,
				pipe_connections = {{ type="output", position = {0, 2} }}
			},
			off_when_no_fluid_recipe = true
		},
		collision_box = {{-1.2, -1.2}, {1.2, 1.2}},
		selection_box = {{-1.5, -1.5}, {1.5, 1.5}},
		fast_replaceable_group = "assembling-machine",
		animation =
		{
			filename = "__base__/graphics/entity/assembling-machine-3/assembling-machine-3.png",
			priority = "high",
			frame_width = 142,
			frame_height = 113,
			frame_count = 32,
			line_length = 8,
			shift = {0.84, -0.09}
		},
		--crafting_categories = {"crafting", "advanced-crafting", "crafting-with-fluid","yuoki-import-bobores-wonder-recipe"},
		crafting_categories = {"yuoki-import-bobores-wonder-recipe"},
		crafting_speed = 3.0,
		energy_source =
		{
			type = "electric",
			usage_priority = "secondary-input",
			emissions = 0.03 / 3.5
		},
		energy_usage = "625kW",
		ingredient_count = 4,
		module_slots = 4,
		allowed_effects = {"consumption", "speed", "productivity", "pollution"},
		order="w[wonders]",
	},		
	]]
	
})